import React from "react";

const Book = ({ width, height, fill }) => {
  return (
    <svg
      width={width}
      height={height}
      viewBox="0 0 84 65"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M63.0705 37.6678C66.0745 37.6678 69.2688 37.972 72.577 38.5805V44.2845C70.2195 43.676 67.0253 43.3717 63.0705 43.3717C55.8455 43.3717 50.1798 44.6265 45.9588 47.1362V40.71C50.4078 38.6945 56.1118 37.6678 63.0705 37.6678ZM45.9588 30.557C50.8643 28.5415 56.568 27.553 63.0705 27.553C66.0745 27.553 69.2688 27.819 72.577 28.4275V34.1315C70.2195 33.523 67.0253 33.2188 63.0705 33.2188C55.8455 33.2188 50.1798 34.5117 45.9588 36.9832V30.557ZM63.0705 23.1037C55.8455 23.1037 50.1798 24.3207 45.9588 26.9065V20.594C50.636 18.4647 56.34 17.4 63.0705 17.4C66.0745 17.4 69.2688 17.7043 72.577 18.2745V24.1685C69.7633 23.446 66.531 23.1037 63.0705 23.1037ZM76.3798 53.5247V9.79475C72.425 8.53975 67.976 7.89349 63.0705 7.89349C55.2753 7.89349 48.3165 9.79474 42.1563 13.5972V57.3273C48.3165 53.5248 55.2753 51.6235 63.0705 51.6235C67.5958 51.6235 72.0448 52.2318 76.3798 53.5247ZM63.0705 0.288254C72.0068 0.288254 79.0035 2.1895 83.985 5.992V61.358C83.985 61.8145 83.7948 62.2707 83.3765 62.689C82.9583 63.0312 82.502 63.3355 82.0835 63.3355C81.6653 63.3355 81.361 63.2595 81.133 63.1452C76.2655 60.5215 70.2195 59.2287 63.0705 59.2287C55.2753 59.2287 48.3165 61.13 42.1563 64.9325C37.0608 61.13 30.102 59.2287 21.2418 59.2287C14.9295 59.2287 8.88327 60.5975 3.17952 63.2975C3.06527 63.3355 2.91326 63.3355 2.72301 63.4115C2.57101 63.4495 2.41876 63.4875 2.22876 63.4875C1.81051 63.4875 1.35426 63.3355 0.935764 63.0312C0.517514 62.613 0.327515 62.1948 0.327515 61.7003V5.992C5.42301 2.1895 12.4198 0.288254 21.2418 0.288254C30.102 0.288254 37.0608 2.1895 42.1563 5.992C47.2518 2.1895 54.2105 0.288254 63.0705 0.288254Z"
        fill={fill}
      />
    </svg>
  );
};

Book.defaultProps = {
  width: "84",
  height: "65",
  fill: "#62CC6D",
};

export default Book;
